DCMTK: DVPSOverlay_PList Class Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | Private Attributes | List of all members
DVPSOverlay_PList Class Reference

the list of overlays contained in a presentation state (internal use only). More...

## Public Member Functions
| DVPSOverlay_PList ()
| default constructor
| DVPSOverlay_PList (const DVPSOverlay_PList &copy)
| copy constructor
DVPSOverlay_PList * | clone ()
| clone method.
virtual | ~DVPSOverlay_PList ()
| destructor
OFCondition | read (DcmItem &dset)
| reads all overlay groups from a DICOM dataset.
OFCondition | write (DcmItem &dset)
| writes the overlays managed by this object to a DICOM dataset.
void | clear ()
| reset the object to initial state.
OFBool | haveOverlayGroup (Uint16 group)
| check presence of overlay group
size_t | size () const
| gets the number of overlays in managed by this object.
DVPSOverlay * | getOverlay (size_t idx)
| gets the overlay object with the given index.
OFCondition | removeOverlay (size_t idx)
| removes the overlay object with the given index.
OFCondition | changeOverlayGroup (size_t idx, Uint16 newGroup)
| changes the repeating group used for an overlay.
OFCondition | addOverlay (DcmItem &overlayIOD, Uint16 groupInItem, Uint16 newGroup)
| adds a new overlay bitmap.
DVPSOverlay * | getOverlayGroup (Uint16 group)
| get overlay by group

## Private Member Functions
DVPSOverlay_PList & | operator= (const DVPSOverlay_PList &)
| private undefined assignment operator

## Private Attributes
OFList< DVPSOverlay * > | list_
| the list maintained by this object

## Detailed Description

the list of overlays contained in a presentation state (internal use only).

This class manages the data structures comprising the list of overlays (all instances of the Overlay Plane Module repeating elements) contained in a Presentation State object.

## Member Function Documentation

## ◆ addOverlay()

OFCondition DVPSOverlay_PList::addOverlay | ( | DcmItem & | overlayIOD,
|  | Uint16 | groupInItem,
|  | Uint16 | newGroup )

adds a new overlay bitmap.

The overlay is read from a DICOM dataset which must contain the attributes required for a graphic or ROI overlay, see class DVPSOverlay. The dataset can be an image or standalone overlay IOD. The overlay data is copied into the presentation state, i.e. the DICOM dataset can be deleted after execution of this method.

Parameters

  overlayIOD | the DICOM dataset from which the overlay is to be read
  groupInItem | the repeating group 0x6000..0x61F (even) of the overlay to be read
  newGroup | repeating group number 0x6000-0x601F (even) to be used for the overlay in the presentation state.

Returns
  EC_Normal upon success, an error code otherwise.

## ◆ changeOverlayGroup()

OFCondition DVPSOverlay_PList::changeOverlayGroup | ( | size_t | idx,
|  | Uint16 | newGroup )

changes the repeating group used for an overlay.

Parameters

  idx | index of the overlay, must be < size().
  newGroup | new repeating group number 0x6000-0x601F (even)

Returns
  EC_Normal upon success, an error code otherwise.

## ◆ clear()

void DVPSOverlay_PList::clear | ( |  | ) |

reset the object to initial state.

After this call, the object is in the same state as after creation with the default constructor.

## ◆ clone()

DVPSOverlay_PList * DVPSOverlay_PList::clone | ( |  | ) |
| inline

clone method.

Returns
  a pointer to a new DVPSOverlay_PList object containing a deep copy of this object.

References DVPSOverlay_PList().

## ◆ getOverlay()

DVPSOverlay * DVPSOverlay_PList::getOverlay | ( | size_t | idx | ) |

gets the overlay object with the given index.

Parameters

  idx | index of the overlay, must be < size().

Returns
  pointer to overlay object or NULL.

## ◆ getOverlayGroup()

DVPSOverlay * DVPSOverlay_PList::getOverlayGroup | ( | Uint16 | group | ) |

get overlay by group

Parameters

  group | overlay repeating group to be checked

Returns
  a pointer to the matching DVPSOverlay object if found, NULL otherwise.

## ◆ haveOverlayGroup()

OFBool DVPSOverlay_PList::haveOverlayGroup | ( | Uint16 | group | ) |

check presence of overlay group

Parameters

  group | overlay repeating group to be checked

Returns
  OFTrue if the specified overlay group is present in the list of overlays managed by this object.

## ◆ read()

OFCondition DVPSOverlay_PList::read | ( | DcmItem & | dset | ) |

reads all overlay groups from a DICOM dataset.

This method checks which overlays are contained in the DICOM dataset. All overlays that contain the OverlayData element are copied into the "list of overlays" structure managed by this object. The completeness of the overlays (presence of all required elements, value multiplicity) is checked. If this method returns an error code, the object is in undefined state afterwards.

Parameters

  dset | the DICOM dataset from which the overlays are read

Returns
  EC_Normal if successful, an error code otherwise.

## ◆ removeOverlay()

OFCondition DVPSOverlay_PList::removeOverlay | ( | size_t | idx | ) |

removes the overlay object with the given index.

Parameters

  idx | index of the overlay, must be < size().

Returns
  EC_Normal upon success, an error code otherwise

## ◆ size()

size_t DVPSOverlay_PList::size | ( |  | ) | const
| inline

gets the number of overlays in managed by this object.

Returns
  number of overlays in this list.

References list_.

## ◆ write()

OFCondition DVPSOverlay_PList::write | ( | DcmItem & | dset | ) |

writes the overlays managed by this object to a DICOM dataset.

Copies of the DICOM elements managed by this object are inserted into the DICOM dataset.

Parameters

  dset | the DICOM dataset to which the overlays are written

Returns
  EC_Normal if successful, an error code otherwise.

The documentation for this class was generated from the following file:

- dcmpstat/include/dcmtk/dcmpstat/dvpsovl.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1